### Method

# Gsk ShaderArgsBuilder free_to_args

deprecated: 4.16

#### Declaration [src]

    GBytes*
    gsk_shader_args_builder_free_to_args (
      GskShaderArgsBuilder* builder
    )

#### Description [src]

Creates a new `GBytes` args from the current state of the given `builder`, and frees the `builder` instance.

Any uniforms of the shader that have not been explicitly set on the `builder` are zero-initialized.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

This method is not directly available to language bindings.

#### Parameters

`builder`

  Type: `GskShaderArgsBuilder`

  A `GskShaderArgsBuilder`.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GBytes`

The newly allocated buffer with all the args added to `builder`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.